> For the complete documentation index, see [llms.txt](https://docs.p4.software/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.p4.software/english-1/warehouses-1.md).

# Warehouses

## GET /warehouses

> Returns list of warehouses

```json
{"openapi":"3.0.1","info":{"title":"P4W Api Gateway","version":"v1"},"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"Api key taken from 'Gateway API key' setting.","name":"ApiKey","in":"header"}},"schemas":{"Warehouse":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"warehouseCode":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"referenceNumber":{"type":"string","nullable":true},"address1":{"type":"string","nullable":true},"address2":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"stateProvince":{"type":"string","nullable":true},"zipPostalCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/warehouses":{"get":{"tags":["Warehouses"],"summary":"Returns list of warehouses","parameters":[{"name":"warehouseCode","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Warehouse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Warehouse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Warehouse"}}}}},"406":{"description":"Not Acceptable","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}}}}}}}
```
